Subject: Re: [PATCH] t0060: loosen overly strict expectations

From: Ramsay Jones <[email-masked]>
Date: Fri, 15 Jan 2016 14:53:22 +0000

On 15/01/16 06:34, Johannes Schindelin wrote:
> Hi Ramsay,
> 
> On Fri, 15 Jan 2016, Ramsay Jones wrote:
> 
>> On 14/01/16 22:14, Johannes Sixt wrote:
>>> Am 14.01.2016 um 19:13 schrieb Ramsay Jones:
>>>> Correct me if I'm wrong (quite possible), but _each_ drive has a
>>>> current working directory associated with it in win32, so it's a bit
>>>> difficult to use drive designators with a relative path (eg.
>>>> C:usr/lib).
>>>
>>> As far as it matters for Git, such a path is still an absolute path,
>>> because it is not anchored at $(pwd).
>>
>> [...] seems to contradict what you say above.
>>
>> What am I missing?
> 
> The missing bit is: while C:usr/lib is *not* anchored on $(pwd), it is
> *still* not an absolute path because it is anchored on the current
> directory of the C: drive (the entire idea that some drive state can
> change the meaning of "C:usr/lib" makes it a non-absolute one).
> 
> Since this concept -- a path that is neither relative to $(pwd) nor
> absolute -- does not exist on Linux, I do not think that Git for Windows
> handles this case well at all.

Yep, I may not have expressed it very well, but this is what I was trying
say! ;-)

ATB,
Ramsay Jones